Ti.include('../redux.js');

function viewEventsForCategory(event)
{
	clearFilters();

	var newCategoryName = getTextualAttributeFromEvent(event);
	setSelectedCategory(event.source.id, newCategoryName);
	
	// Handle the case where this screen is opened by the suggest an event form.
	if(win().returnOnSelect === true) {
		setSharedPropertyAsString(win().returnValueKey, newCategoryName);
		unloadCurrentWindow();
	} else if(win().isSetAndReturn === true) {
		Ti.API.info(">>> Setting selected category to (in primary filter) " + newCategoryName);
		setPrimaryFilter(0, newCategoryName);
		Ti.API.info(">>> Primary filter has something in it " + getPrimaryFilter().name);
		Ti.App.fireEvent('filterCriteriaChanged');
		unloadCurrentWindow();
	} else {
		setPrimaryFilter(0, newCategoryName)
		loadMonthSelectWindow('View by category');
	}
}

var tableView = makeFullscreenTable();
win().add(tableView);
showLoading(tableView);
loadRemoteCategories(tableView, win().selectedDate, win().isFullList);