Ti.include('../redux.js');

function checkConnectivity()
{
	if(Ti.Network.online)
	{
		// Unhook the back button listener
		win().removeEventListener('android:back', interceptAndroidBack);
		
		win().close();
	}
}

function interceptAndroidBack(e)
{
	// Ignore the back button - the user has to connect & recheck
	// to leave this window!
}


var w = win();

w.add(new Label({ text: ':-(', top: 20, font: { fontSize: 16, fontWeight: 'bold', }, height:'auto', width:'auto', textAlign:'center',}));
w.add(new Label({ text: 'You must have an Internet connection to use this app.\n\n\nTap here to check again.', font: { size: 10, }, height:120, width:'auto', textAlign:'center',}));

w.addEventListener('click', checkConnectivity);
w.addEventListener('android:back', interceptAndroidBack);
