Ti.include('../redux.js');

function viewEventsForRegion(event) {
	// Handle the case where this screen is opened by the suggest an event form.
	if(win().returnOnSelect == true) {
		setSharedPropertyAsString(win().returnValueKey, getTextualAttributeFromEvent(event));
		unloadCurrentWindow();
	} else {
		clearFilters();
		setRegionFilter(event.rowData.id, getTextualAttributeFromEvent(event));
		setPrimaryFilter(0, getTextualAttributeFromEvent(event));
		
		loadMonthSelectWindow('View by local region');
	}
}

var tableView = makeFullscreenTable();
win().add(tableView);
resetSelectedDateForSection('region');
showLoading(tableView);
loadRemoteRegions(tableView, win().isFullList);
